Skip to main content
GET
List Loyalty Tier Earning Rules

Authorizations

X-App-Id
string
header
required
X-App-Token
string
header
required

Path Parameters

campaignId
string
required

Unique campaign ID or name.

Example:

"camp_rRsfatlwN7unSeUIJDCYedal"

loyaltyTierId
string
required

Unique loyalty tier ID.

Example:

"promo_2EnAik6Jt7dKTOMkRTIgEjZH"

Query Parameters

limit
integer

Limits the number of objects to be returned. The limit can range between 1 and 100 items. If no limit is set, it returns 10 items.

Required range: 1 <= x <= 100
page
integer

Which page of results to return. The lowest value is 1.

Required range: 1 <= x <= 100

Response

200 - application/json

Returns a list of earning rules for a given tier. The object for each earning rule also contains information about how the points are calculated; this includes mapping. If a specific multiplier was used to calculate points for a given tier, then the loyalty.points parameter will account for this calculation.

Response body schema for GET v1/loyalties/{campaignId}/tiers/{loyaltyTierId}/earning-rules.

object
enum<string>
default:list
required

The type of the object represented by JSON. This object stores information about earning rules in a dictionary.

Available options:
list
data_ref
enum<string>
default:data
required

Identifies the name of the attribute that contains the array of earning rule objects.

Available options:
data
data
Earning Rule · object[]
required

Contains array of earning rule objects.

total
integer
required

Total number of earning rule objects.

Last modified on July 7, 2026